Вы здесь

Ошибки из-за переезда с apache + php 5.6 на FastCGI (Nginx + PHP-FPM) + php 7.1

0

Начнём с того, что в серверной части я полный даун. Так, возможно, будет проще Вам дать мне ответ.

Обнаружил в отчетах друпала, что моя версия пыха не будет поддерживаться в 2019 году. Решил перекинуть на рекомендуемую, а именно 7.1.

Через ISP установил пакеты, дал разрешения, захожу в настройки домена и если выбрать CGI и 7.1 пых либо FastCGI (Nginx + PHP-FPM) и такой же 7.1 пых, то сайт начинает осыпать 404-е и 500-е ошибки. Переключаю обратно на апач и 5.6 - всё ок.

В логах ничего при этом интересного: failed (2: No such file or directory) - если 404; либо failed (20: Not a directory) - если 500. Запустить update.php или сбросить кеш после смены php не даёт.

При смене пыха надо переустановить друпал или что?

Заранее спасибо и извините, возможно, за ламерский вопрос.

Версия Drupal: 
8.x
Вопрос задан 29.03.2018 - 22:12

Ответы